org.freeplane.plugin.script.proxy

## Interface Proxy.Controller

- All Superinterfaces:
    Proxy.ControllerRO
  Enclosing interface:
    Proxy

      public static interface Proxy.Controller
      extends Proxy.ControllerRO

  Access to global state: in scripts, this is available as global variable `c` - read-write.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `centerOnNode(Proxy.Node center)`
    `void` | `deactivateUndo()` reset undo / redo lists and deactivate Undo for current script
    `void` | `edit(Proxy.Node node)` Starts editing node, normally in the inline editor.
    `void` | `editInPopup(Proxy.Node node)` opens the appropriate popup text editor.
    `java.util.List<Proxy.Map>` | `getOpenMaps()` a list of all opened maps.
    `Proxy.Map` | `newMap()` opens a new map with a default name in the foreground.
    `Proxy.Map` | `newMap(java.net.URL url)` opens a new map for url in the foreground if it isn't opened already.
    `Proxy.Map` | `newMapFromTemplate(java.io.File templateFile)` opens a new map based on given template.
    `void` | `redo()` invokes redo once - for testing purposes mainly.
    `void` | `select(java.util.Collection<Proxy.Node> toSelect)` toSelect is a List<Node> of Node objects
    `void` | `select(Proxy.Node toSelect)`
    `void` | `selectBranch(Proxy.Node branchRoot)` selects branchRoot and all children
    `void` | `selectMultipleNodes(java.util.Collection<Proxy.Node> toSelect)` toSelect is a Collection<Node> of Node objects
    `void` | `setStatusInfo(java.lang.String info)` The main info for the status line with key="standard", use null to remove.
    `void` | `setStatusInfo(java.lang.String infoPanelKey, javax.swing.Icon icon)` Deprecated. since 1.2 - use `setStatusInfo(String, String, String)`
    `void` | `setStatusInfo(java.lang.String infoPanelKey, java.lang.String info)` Info for status line, null to remove.
    `void` | `setStatusInfo(java.lang.String infoPanelKey, java.lang.String info, java.lang.String iconKey)` Info for status line - text and icon - null stands for "remove" (text or icon)
    `void` | `setZoom(float ratio)` a value of 1 means 100%.
    `void` | `undo()` invokes undo once - for testing purposes mainly.

    - ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.ControllerRO

      `export, find, find, findAll, findAllDepthFirst, getExportTypeDescriptions, getFreeplaneVersion, getSelected, getSelecteds, getSortedSelection, getUserDirectory, getZoom, isInteractive`

- - ### Method Detail

    - #### centerOnNode

          void centerOnNode(Proxy.Node center)

    - #### edit

          void edit(Proxy.Node node)

      Starts editing node, normally in the inline editor. Does not block until edit has finished.
      Since:
        1.2.2

    - #### editInPopup

          void editInPopup(Proxy.Node node)

      opens the appropriate popup text editor. Does not block until edit has finished.
      Since:
        1.2.2

    - #### select

          void select(Proxy.Node toSelect)

    - #### select

          void select(java.util.Collection<Proxy.Node> toSelect)

      toSelect is a List<Node> of Node objects
      Since:
        1.4

    - #### selectBranch

          void selectBranch(Proxy.Node branchRoot)

      selects branchRoot and all children

    - #### selectMultipleNodes

          void selectMultipleNodes(java.util.Collection<Proxy.Node> toSelect)

      toSelect is a Collection<Node> of Node objects

    - #### deactivateUndo

          void deactivateUndo()

      reset undo / redo lists and deactivate Undo for current script

    - #### undo

          void undo()

      invokes undo once - for testing purposes mainly.
      Since:
        1.2

    - #### redo

          void redo()

      invokes redo once - for testing purposes mainly.
      Since:
        1.2

    - #### setStatusInfo

          void setStatusInfo(java.lang.String info)

      The main info for the status line with key="standard", use null to remove. Removes icon if there is one.

    - #### setStatusInfo

          void setStatusInfo(java.lang.String infoPanelKey,
                             java.lang.String info)

      Info for status line, null to remove. Removes icon if there is one.
      See Also:
        `setStatusInfo(String, String, String)`

    - #### setStatusInfo

          void setStatusInfo(java.lang.String infoPanelKey,
                             java.lang.String info,
                             java.lang.String iconKey)

      Info for status line - text and icon - null stands for "remove" (text or icon)
      Parameters:
        `infoPanelKey` - "standard" is the left most standard info panel. If a panel with this name doesn't exist it will be created.
        `info` - Info text
        `iconKey` - key as those that are used for nodes (see `Proxy.Icons.addIcon(String)`).

               println("all available icon keys: " + FreeplaneIconUtils.listStandardIconKeys())
               c.setStatusInfo("standard", "hi there!", "button_ok");

      Since:
        1.2
      See Also:
        `FreeplaneIconUtils`

    - #### setStatusInfo

          void setStatusInfo(java.lang.String infoPanelKey,
                             javax.swing.Icon icon)

      Deprecated. since 1.2 - use `setStatusInfo(String, String, String)`

    - #### newMap

          Proxy.Map newMap()

      opens a new map with a default name in the foreground.
      Since:
        1.2

    - #### newMap

          Proxy.Map newMap(java.net.URL url)

      opens a new map for url in the foreground if it isn't opened already.
      Since:
        1.2

    - #### newMapFromTemplate

          Proxy.Map newMapFromTemplate(java.io.File templateFile)

      opens a new map based on given template.
      Since:
        1.5

    - #### setZoom

          void setZoom(float ratio)

      a value of 1 means 100%.
      Since:
        1.2

    - #### getOpenMaps

          java.util.List<Proxy.Map> getOpenMaps()

      a list of all opened maps.
      Since:
        1.5